<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_rec_date  = Request("x_rec_date")
x_rec_user  = Request("x_rec_user")
x_odbc_name = Request("x_odbc_name")
x_odbc_user = Request("x_odbc_user")
x_odbc_pass = Request("x_odbc_pass")
x_comments  = Request("x_comments")

odbc_name = hex_decode(Request("odbc_name"))
odbc_user = hex_decode(Request("odbc_user"))

'// 暗号キー（データベース用）
key = key_db()
iv  = Left(key, 32)

If mode <> "update" Then

    '// Open
    odbc_table.Open Server.MapPath(repository_conn & "DXT_ODBC.xml")
    '// Filter
    odbc_table.Filter = "ODBC_NAME = '" & odbc_name & "' AND ODBC_USER = '" & odbc_user & "'"
    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If
    '// Fields.Value
    If Not odbc_table.EOF Then
        x_rec_date  = odbc_table("REC_DATE")
        x_rec_user  = odbc_table("REC_USER")
        x_odbc_name = odbc_table("ODBC_NAME")
        x_odbc_user = odbc_table("ODBC_USER")
        x_odbc_pass = decrypt(odbc_table("ODBC_PASS"), iv, key)
        x_comments  = odbc_table("COMMENTS")
    End If
    '// Close
    odbc_table.Close

End If

If mode = "update" Then

    '// ODBCパスワード
    odbc_pass = encrypt(x_odbc_pass, iv, key)

    '// Open
    odbc_table.Open Server.MapPath(repository_conn & "DXT_ODBC.xml")
    '// Filter
    odbc_table.Filter = "ODBC_NAME = '" & odbc_name & "' AND ODBC_USER = '" & odbc_user & "'"
    '// Array
    ReDim FieldList(odbc_table.Fields.Count - 1)
    ReDim Values(odbc_table.Fields.Count - 1)
    '// Fields.Name
    For n = 0 To odbc_table.Fields.Count - 1
        FieldList(n) = odbc_table.Fields(n).Name
    Next
    '// Values (REC_DATE, REC_USER, ODBC_NAME, ODBC_USER, ODBC_PASS, COMMENTS)
    Values(0) = Date & " " & Time
    Values(1) = Session.Contents("user_name")
    Values(2) = x_odbc_name
    Values(3) = x_odbc_user
    Values(4) = odbc_pass
    Values(5) = x_comments
    '// レコード更新
    odbc_table.Update FieldList, Values
    '// Filter
    odbc_table.Filter = ""
    '// 保存
    odbc_table.Save , adPersistXML
    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
    End If
    '// Close
    odbc_table.Close

    If err_msg = "" Then
        x_rec_date  = ""
        x_rec_user  = ""
        x_odbc_name = ""
        x_odbc_name = ""
        x_odbc_pass = ""
        x_comments  = ""
        Response.Redirect "menu_odbc.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_odbc">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <input type="hidden" name="x_rec_date" value="<%=x_rec_date%>">
    <input type="hidden" name="x_rec_user" value="<%=x_rec_user%>">
    <div class="name">更新日時</div>
    <div class="form"><input type="text" value="<%=x_rec_date%>" disabled></div>
    <div class="name">更新者</div>
    <div class="form"><input type="text" value="<%=x_rec_user%>" disabled></div>
    <div class="name">ODBC名</div>
    <div class="form"><input type="text" name="x_odbc_name" value="<%=x_odbc_name%>" list="i_dns_name" autofocus></div>
    <div class="name">ODBCユーザー</div>
    <div class="form"><input type="text" name="x_odbc_user" value="<%=x_odbc_user%>"></div>
    <div class="name">ODBCパスワード</div>
    <div class="form"><input type="password" name="x_odbc_pass" value="<%=x_odbc_pass%>"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="変更" onclick="odbc_update();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_dns_name.asp" -->
<script src="menu_odbc_chg.js"></script>
</body>
</html>
