// メニュー
$('#menu1').css('background','#d0d0d0');
$('#menu1').css('border-left','solid 6px #333366');

// DataTables
$('#data').DataTable({
    "info": true,
    "lengthChange": true,
    "lengthMenu": [[20, 50, 100, -1], ["20", "50", "100", "ALL"]],
    "iDisplayLength": -1,
    "ordering": true,
    "paging": true,
    "searching": true,
    "stateSave": true,
    "order": [[ 2, 'asc' ]],
    "columnDefs": [
        { targets: 0, width: 150 },
        { targets: 1, width: 150 },
        { targets: 3, width:  80 },
        { targets: 4, width: 100 },
        { targets: 6, width:  30, orderable: false }
    ],
    // l - length changing input control
    // f - filtering input
    // t - The table!
    // i - Table information summary
    // p - pagination control
    // r - processing display element
    "dom": 'lfrtip'
});

// 「追加」ボタン
function user_add() {
    nextpage('menu_user_add.asp');
}

// 「削除」ボタン
function user_del(user_cd) {
    if (confirm('削除します。よろしいですか？')) {
        nextpage('menu_user_del.asp?user=' + user_cd);
    }
}
