<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_rec_date  = Request("x_rec_date")
x_rec_user  = Request("x_rec_user")
x_user_name = Request("x_user_name")
x_user_pass = Request("x_user_pass")
x_auth_cls  = Request("x_auth_cls")
x_admin_cls = Request("x_admin_cls")
x_comments  = Request("x_comments")

If mode <> "update" Then

    '// Open
    user_table.Open Server.MapPath(repository_conn & "DXT_USER.xml")
    '// Filter
    user_table.Filter = "USER_CD = '" & user_cd & "'"
    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If
    '// Fields.Value
    If Not user_table.EOF Then
        x_rec_date  = user_table("REC_DATE")
        x_rec_user  = user_table("REC_USER")
        x_user_name = user_table("USER_NAME")
        x_user_pass = ""
        x_auth_cls  = Trim(user_table("AUTH_CLS"))
        x_admin_cls = Trim(user_table("ADMIN_CLS"))
        x_comments  = user_table("COMMENTS")
    End If
    '// Close
    user_table.Close

End If

If mode = "update" Then

    '// Open
    user_table.Open Server.MapPath(repository_conn & "DXT_USER.xml")
    '// Filter
    user_table.Filter = "USER_CD = '" & user_cd & "'"
    '// Array
    ReDim FieldList(user_table.Fields.Count - 1)
    ReDim Values(user_table.Fields.Count - 1)
    '// Fields.Name
    For n = 0 To user_table.Fields.Count - 1
        FieldList(n) = user_table.Fields(n).Name
    Next
    '// パスワード／認証区分（1:独自認証、2:AD認証）
    If x_auth_cls = 1 And x_user_pass <> "" Then
        user_pass = sha256(x_user_pass)
    Else
        user_pass = user_table("USER_PASS")
    End If
    '// Values (REC_DATE, REC_USER, USER_NAME, USER_CD, USER_PASS, AUTH_CLS, ADMIN_CLS, COMMENTS)
    Values(0) = Date & " " & Time
    Values(1) = Session.Contents("user_name")
    Values(2) = x_user_name
    Values(3) = user_cd
    Values(4) = user_pass
    Values(5) = x_auth_cls
    Values(6) = x_admin_cls
    Values(7) = x_comments
    '// レコード更新
    user_table.Update FieldList, Values
    '// Filter
    user_table.Filter = ""
    '// 保存
    user_table.Save , adPersistXML
    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
    End If
    '// Close
    user_table.Close

    If err_msg = "" Then
        x_rec_date  = ""
        x_rec_user  = ""
        x_user_name = ""
        x_user_pass = ""
        x_auth_cls  = ""
        x_admin_cls = ""
        x_comments  = ""
        Response.Redirect "menu_user.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_user">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <input type="hidden" name="x_rec_date" value="<%=x_rec_date%>">
    <input type="hidden" name="x_rec_user" value="<%=x_rec_user%>">
    <input type="hidden" name="x_user_name" value="<%=x_user_name%>">
    <div class="name">更新日時</div>
    <div class="form"><input type="text" value="<%=x_rec_date%>" disabled></div>
    <div class="name">更新者</div>
    <div class="form"><input type="text" value="<%=x_rec_user%>" disabled></div>
    <div class="name">ユーザー名</div>
    <div class="form"><input type="text" value="<%=x_user_name%>" disabled></div>
    <div class="name">パスワード</div>
    <div class="form"><input type="password" name="x_user_pass" value="<%=x_user_pass%>" <%if x_auth_cls="2" then%>disabled<%end if%> autofocus>&nbsp;※ブランクの時は変更なし</div>
    <div class="name">認証区分</div>
    <div class="form">
        <select disabled>
            <option value="1" <%if x_auth_cls="1" then%>selected<%end if%>>1:独自認証</option>
            <option value="2" <%if x_auth_cls="2" then%>selected<%end if%>>2:AD認証</option>
        </select>
    </div>
    <input type="hidden" name="x_auth_cls" value="<%=x_auth_cls%>">
    <div class="name">管理者区分</div>
    <div class="form">
        <select name="x_admin_cls">
            <option value="1" <%if x_admin_cls=1 then%>selected<%end if%>>1:管理者</option>
            <option value="2" <%if x_admin_cls=2 then%>selected<%end if%>>2:非管理者</option>
        </select>
    </div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="変更" onclick="user_update();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<script src="menu_user_chg.js"></script>
</body>
</html>
